      SUBROUTINE CLEVEL(CL,NCL,IF)                                      
      SAVE
      DIMENSION CL(40),CCL(40)                                          
      IIF=IF                                                            
      IF(IIF.EQ.0)RETURN                                                
      NNCL=NCL                                                          
      DO 1 N=1,NNCL                                                     
      CCL(N)=CL(N)                                                      
    1 CONTINUE                                                          
      RETURN                                                            
      ENTRY DLEVEL(CL,NCL,IF)                                           
      IF=IIF                                                            
      IF(IF.EQ.0)RETURN                                                 
      NCL=NNCL                                                          
      DO 2 N=1,NCL                                                      
      CL(N)=CCL(N)                                                      
    2 CONTINUE                                                          
      RETURN                                                            
      END                                                               
